changeset 187:5e752cf2d6b1

Add versions of compile and ctobin scripts that have desktop notifications
author Mike Pavone <pavone@retrodev.com>
date Fri, 07 Oct 2011 00:11:30 -0700
parents ba35ab624ec2
children 170ad9cb6384
files compilenotify ctobinnotify
diffstat 2 files changed, 60 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/compilenotify	Fri Oct 07 00:11:30 2011 -0700
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+if test -f "$1.c"; then
+	rm "$1.c"
+fi
+
+./rhope2c $1 | tee rhope2c_output.txt
+
+error_txt=`grep -C 2 [Ee]rror rhope2c_output.txt`
+
+if test ! -s "$1.c"; then
+	notify-send -i error 'Compilation to C failed' "Compilation of $1 to C failed. Deatils:\n$error_txt"
+	echo "Compilation to C failed"
+	exit 1
+fi
+notify-send -i info 'Compilation to C complete', "Compilation of $1 to C is complete. Compilation to native code has begun"
+./ctobinnotify $@
+#cp runtime/* build/
+#cp "$1.c" build/
+#cd build
+#bin=`echo $1 | sed s/\.rhope//`
+#
+#if test -f "$bin"; then
+#	rm "$bin"
+#fi
+#gcc -Wformat=0 -o $bin $2 "$1.c" blueprint.c context.c fixed_alloc.c object.c
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/ctobinnotify	Fri Oct 07 00:11:30 2011 -0700
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+if test ! -f "$1.c"; then
+	echo "C file missing! Maybe you need to do a full compile?"
+	exit 1
+fi
+
+cp runtime/* build/
+cp "$1.c" build/
+cd build
+bin=`echo $1 | sed s/\.rhope//`
+
+if test -f "$bin"; then
+	rm "$bin"
+fi
+
+if test -z $CC; then
+	CC="gcc"
+fi
+
+file=$1
+shift
+echo "$CC -o $bin $@ $file.c blueprint.c context.c fixed_alloc.c object.c transaction.c net.c"
+$CC -o $bin $@ "$file.c" blueprint.c context.c fixed_alloc.c object.c transaction.c net.c 2>&1 | tee cc_output.txt
+
+if test -f "$bin"; then
+	notify-send -i dialog-ok 'Compilation complete' "Compilation of $file to native code completed successfully"
+else
+	cc_errors=`grep error cc_output.txt | head -n 3`
+	notify-send -i error 'Compilation failed' "Compilation of $file to native code from C failed. Details\n$cc_errors"
+fi
+cd ..
+